Bug 115348 - cannot create DVD image
Summary: cannot create DVD image
Status: RESOLVED FIXED
Alias: None
Product: k3b
Classification: Applications
Component: Copying (show other bugs)
Version: 0.12.x
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Sebastian Trueg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-29 23:39 UTC by Francois Marier
Modified: 2006-11-18 15:01 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Francois Marier 2005-10-29 23:39:18 UTC
Version:           0.12.5 (using KDE KDE 3.4.2)
Installed from:    Debian testing/unstable Packages
OS:                Linux

Luis Fernando <luis@ramonvazquez.net> has reported the following through the Debian bug tracking system (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=336375).

Some of the output isn't in English, but the mkisofs is in English.  Do you think that it's an mkisofs bug or is k3b not passing in the right filename?

Francois
---------------------------------

I am not able to ceate any DVD-video. It seems that there is a "misunderstaning" with mkisofs. When I just try to make a image this is the debug output I get:

System
-----------------------
K3b Version: 0.12.5

KDE Version: 3.4.2
QT Version:  3.3.5
Kernel:      2.6.12-1-custom
Devices
-----------------------
AOPEN DUW1608/ARR A05a (/dev/hdc, ) at /media/grab [CD-R; CD-RW; CD-ROM; DVD-ROM; DVD-R; DVD-RW; DVD+R;DVD+RW; DVD+R DL] [DVD-ROM; DVD-R Secuencial; DVD-RW sobreescritura restringida; DVD-RW Secuencial;
DVD+RW; DVD+R; DVD+R doble capa; CD-ROM; CD-R; CD-RW] [SAO; TAO; En bruto; SAO/R96P; SAO/R96R;
RAW/R96R; Sobreescritura restringida]

LG DVD-ROM DRD8160B 1.01 (/dev/hdd, ) at /media/dvd [CD-ROM; DVD-ROM] [DVD-ROM; CD-ROM] [Ninguno]
mkisofs
-----------------------
/usr/bin/mkisofs: Warning: -follow-links does not always work correctly; be careful.
Warning: Disabling Joliet support for DVD-Video.
INFO: ISO-8859-15 character encoding detected by locale settings.
 Assuming ISO-8859-15 encoded filenames on source filesystem,
 use -input-charset to override.
/usr/bin/mkisofs: No such file or directory. Faild to open
/tmp/kde-luis/k3bVideoDvd0//VIDEO_TS/VIDEO_TS.IFO
/usr/bin/mkisofs: Can't open VMG info for '/tmp/kde-luis/k3bVideoDvd0/'.
/usr/bin/mkisofs: Unable to parse DVD-Video structures.

mkisofs command:
-----------------------
/usr/bin/mkisofs -gui -graft-points -volid K3b data project -volset  -appid K3B THE CD KREATOR (C)
1998-2005 SEBASTIAN TRUEG AND THE K3B TEAM -publisher  -preparer  -sysid LINUX -volset-size 1
-volset-seqno 1 -sort /tmp/kde-luis/k3bIhIFJa.tmp -rational-rock -hide-list /tmp/kde-luis/k3b5vIY0a.tmp-joliet -hide-joliet-list /tmp/kde-luis/k3bfkb14a.tmp -full-iso9660-filenames -iso-level 2 -path-list
/tmp/kde-luis/k3bE65Nva.tmp -dvd-video -f /tmp/kde-luis/k3bVideoDvd0
Comment 1 Shai 2005-11-06 01:12:02 UTC
I am also seeing something very similar on 0.12.7; I am on Debian SID.

My debugging output:
"""
System
-----------------------
K3b Version: 0.12.7

KDE Version: 3.4.2
QT Version:  3.3.5
Kernel:      2.6.11-1-686
Devices
-----------------------
_NEC DVD_RW ND-3520A 1.04 (/dev/hdd, ) at /media/cdrom0 [CD-R; CD-RW;
CD-ROM; DVD-ROM; DVD-R; DVD-RW; DVD+R; DVD+RW; DVD+R DL] [DVD-ROM; DVD-R
Sequential; DVD-RW Restricted Overwrite; DVD-RW Sequential; DVD+RW;
DVD+R; DVD+R Double Layer; CD-ROM; CD-R; CD-RW] [SAO; TAO; RAW;
SAO/R96P; SAO/R96R; RAW/R16; RAW/R96P; RAW/R96R; Restricted Overwrite]

K3b
-----------------------
Size of filesystem calculated: 0

Used versions
-----------------------
mkisofs: 2.1.1a03-unofficial-iconv

mkisofs
-----------------------
/usr/bin/mkisofs: Warning: -follow-links does not always work correctly;
be careful.
Warning: Disabling Joliet support for DVD-Video.
/usr/bin/mkisofs: No such file or directory. Faild to open
/tmp/kde-shai/k3bVideoDvd1//VIDEO_TS/VIDEO_TS.IFO
/usr/bin/mkisofs: Can't open VMG info for '/tmp/kde-shai/k3bVideoDvd1/'.
/usr/bin/mkisofs: Unable to parse DVD-Video structures.
/usr/bin/mkisofs: Unable to make a DVD-Video image.

"""

The line about /tmp/kde-shai/k3bVideoDvd1/ is particularly disturbing,
as I have set k3b to use /home/shai/tmp for temporary files.

Thanks,
    Shai.
Comment 2 Sebastian Trueg 2005-11-06 09:42:35 UTC
On Sunday 06 November 2005 01:12, Shai wrote:
> /usr/bin/mkisofs: No such file or directory. Faild to open
> /tmp/kde-shai/k3bVideoDvd1//VIDEO_TS/VIDEO_TS.IFO


you seem to be missing the video_ts ifo file.
Comment 3 Shai 2005-11-06 10:10:31 UTC
I have the video_ts ifo file in the location where I authored the DVD (using dvdauthor). I (apparently) don't have it at some /tmp/ location, which is not the location I told k3b to use for temporary files.

I think there's something funny in the way k3b activates mkisofs, but in 0.12.7 the mkisofs command line is not printed in the debug info, so it's hard for me to tell.
Comment 4 Christoph Burger-Scheidlin 2006-10-08 18:30:00 UTC
Could you please check if this bug still occurs with the recent version of k3b 
(0.12.17 or 1.0pre2)?
Comment 5 Sebastian Trueg 2006-11-18 15:01:56 UTC
no reply in a long time and I improved the video dvd project so hopefully this is fixed (works here...)

Anyway, the video dvd project needs rewriting.